import java.util.Scanner;

public class TwoDimensionalArrayExamples {
  
  //method to print 2D arrays passed in as parameter
  public static void printIt(char[][] arr2D){
    //FOR EACH loop to print 2D array in row major order, left-to-right, top-to-bottm
    for(char[] row: arr2D){ //each row is a char[]
      for(char b: row){ //each element in the char[] is a char
        System.out.print(b);//b is the char
      }
      //new line before the new row
      System.out.println();
    }   
    
    System.out.println("\n");
  }
  
  
  public static void main(String[] args){
    
    Scanner scan = new Scanner(System.in);//initialize Scanner object
    
    //prompt user for rows and columns
    System.out.println("Please enter number of rows");
    int numRows = scan.nextInt();
    System.out.println("Please enter number of columns");
    int numCols = scan.nextInt();
    
    
    //char[] initialized to size provided by user
    char[][] arr2D = new char[numRows][numCols];
    
    //Start with uppercase A - using a char so that we can go to the next char with letter++
    char letter = 'A';
    
    
    System.out.println("Left-to-right, top-to-bottom");
    //Standard double for loop to go through every element in 
    //arr2D from left-to-right, top-to-bottom

    /*uncomment this and complete the algorithm
    for(){//loop through each row
      
      for(){//loop through each column 
        
        arr2D[r][c] = letter; //set current element to current letter
        letter++; //go to next letter before repeating inner loop
        
      }
      
    }
    */
    printIt(arr2D);
    
    letter = 'A';
    
    System.out.println("Reverse: right-to-left, bottom-to-top");
    /*uncomment this and complete the algorithm
    for(){
      
      for(){ 
        
        arr2D[r][c] = letter; //set current element to current letter
        letter++; //go to next letter before repeating inner loop
        
      }
      
    }
    */
    printIt(arr2D);
    
    letter = 'A';
    
    
    
    
    System.out.println("Column first: top-to-bottom, left-to-right");
    /* Write your algorithm here */
    
    printIt(arr2D);
    
    letter = 'A';
    
    
    System.out.println("Reverse and column first: bottom-to-top, right-to-left");
     /* Write your algorithm here */

    
    printIt(arr2D);
    
    
    
    
    
    
    
    
    
  }
}